%global         momorel 2

Name:           perl-RPC-XML
Version:        0.78
Release:        %{momorel}m%{?dist}
Summary:        Set of classes for core data, message and XML handling
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/RPC-XML/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJRAY/RPC-XML-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.008008
BuildRequires:  perl-IO-Compress >= 2.063
BuildRequires:  perl-constant >= 1.03
BuildRequires:  perl-Cwd >= 0.8
BuildRequires:  perl-DateTime >= 0.70
BuildRequires:  perl-DateTime-Format-ISO8601 >= 0.07
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-libwww-perl >= 5.834
BuildRequires:  perl-List-Util >= 1.19
BuildRequires:  perl-Module-Load >= 0.24
BuildRequires:  perl-Test-Simple >= 0.94
BuildRequires:  perl-XML-LibXML >= 1.85
BuildRequires:  perl-XML-Parser >= 2.31
Requires:       perl-IO-Compress >= 2.063
Requires:       perl-constant >= 1.03
Requires:       perl-Cwd >= 0.8
Requires:       perl-DateTime >= 0.70
Requires:       perl-DateTime-Format-ISO8601 >= 0.07
Requires:       perl-libwww-perl >= 5.834
Requires:       perl-List-Util >= 1.19
Requires:       perl-Module-Load >= 0.24
Requires:       perl-Test-Simple >= 0.94
Requires:       perl-XML-LibXML >= 1.85
Requires:       perl-XML-Parser >= 2.31
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you want to execute test, turn on do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 0}

%description
The RPC::XML package is an implementation of the XML-RPC standard.

%prep
%setup -q -n RPC-XML-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog ChangeLog.xml README README.apache2
%{_bindir}/*
%{perl_vendorlib}/Apache/RPC
%{perl_vendorlib}/RPC/XML
%{perl_vendorlib}/RPC/XML.pm
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.78-2m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.78-1m)
- update to 0.78
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.77-5m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.77-4m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.77-3m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.77-2m)
- rebuild against perl-5.16.2

* Tue Sep  4 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.77-1m)
- update to 0.77

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.76-5m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.76-4m)
- rebuild against perl-5.16.0

* Sat Feb 18 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.76-3m)
- set do_test 0 due to tests fail on i686 only

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.76-2m)
- rebuild against perl-5.14.2

* Mon Aug 22 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.76-1m)
- update to 0.76

* Sun Aug 14 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.75-1m)
- update to 0.75

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.74-3m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.74-2m)
- rebuild against perl-5.14.0-0.2.1m

* Sat Apr 30 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.74-1m)
- update to 0.74

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.73-7m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.73-6m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.73-5m)
- rebuild against perl-5.12.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.73-4m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.73-3m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.73-2m)
- rebuild against perl-5.12.0

* Sun Mar 21 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.73-1m)
- update to 0.73
- Specfile re-generated by cpanspec 1.78.

* Sat Dec 26 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.72-1m)
- update to 0.72

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.69-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Sep  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.69-1m)
- update to 0.69

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.67-2m)
- rebuild against perl-5.10.1

* Tue Jul 28 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.67-1m)
- update to 0.67

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.64-2m)
- rebuild against rpm-4.6

* Tue Sep 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.64-1m)
- update to 0.64

* Sun Apr 27 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.60-1m)
- update to 0.60

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.59-3m)
- rebuild against gcc43

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.59-2m)
- use vendor

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.59-1m)
- spec file was autogenerated
